> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet

> Create a new wallet



## OpenAPI

````yaml /copper-open-api-public.json post /wallets
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /wallets:
    post:
      tags:
        - wallets
      summary: Create Wallet
      description: Create a new wallet
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWallet'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Wallet'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    CreateWallet:
      properties:
        currency:
          description: Currency of a wallet
          type: string
        mainCurrency:
          description: Main currency of a wallet
          type: string
        portfolioId:
          description: Portfolio id
          type: string
        walletId:
          description: Wallet id
          type: string
      required:
        - walletId
        - portfolioId
        - currency
      type: object
    Wallet:
      properties:
        available:
          description: Available balance of a wallet
          type: string
        balance:
          description: >-
            Total balance of a wallet, including reserved, but excluding the
            stakeBalance
          type: string
        createdAt:
          description: Created at timestamp
          type: string
        currency:
          description: Currency of a wallet
          type: string
        extra:
          $ref: '#/components/schemas/WalletExtra'
          description: Additional wallet information
          type: object
        locked:
          description: >-
            Locked balance of a wallet for ClearLoop, including the funds
            delegated to all sub-accounts
          type: string
        mainCurrency:
          description: Main currency (blockchain network) of a wallet
          type: string
        organizationId:
          description: Organization id
          type: string
        portfolioId:
          description: Portfolio id
          type: string
        portfolioType:
          $ref: '#/components/schemas/PortfolioType'
          description: Type of the wallet's portfolio. [See details](/enums/PortfolioType)
        reserve:
          description: Reserved balance of a wallet (e.g. for open orders)
          type: string
        stakeBalance:
          description: The balance of funds that are locked in staking
          type: string
        totalBalance:
          description: The overall balance of a wallet
          type: string
        updatedAt:
          description: Last updated at timestamp
          type: string
        walletId:
          description: Wallet id
          type: string
      required:
        - walletId
        - portfolioId
        - currency
      type: object
    WalletExtra:
      properties:
        externalAccountId:
          description: Third-party identifier (ID of an external account)
          type: string
      type: object
    PortfolioType:
      enum:
        - custody
        - trading-vault
        - trading
        - external
        - clearloop
      type: string

````